## org.h2.test.jdbcx
Class TestXA.MyXid

    java.lang.Object
      org.h2.test.jdbcx.TestXA.MyXid

All Implemented Interfaces:
  javax.transaction.xa.Xid

Enclosing class:
  TestXA

    public static class TestXA.MyXid

extends java.lang.Object
implements javax.transaction.xa.Xid

A simple Xid implementation.

Field Summary

Fields inherited from interface javax.transaction.xa.Xid
`MAXBQUALSIZE, MAXGTRIDSIZE`

Constructor Summary
`TestXA.MyXid()`

Method Summary
`byte[]` `getBranchQualifier()`
`int` `getFormatId()`
`byte[]` `getGlobalTransactionId()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestXA.MyXid

    public TestXA.MyXid()

Method Detail

### getBranchQualifier

    public byte[] getBranchQualifier()

  Specified by:
    `getBranchQualifier` in interface `javax.transaction.xa.Xid`

### getFormatId

    public int getFormatId()

  Specified by:
    `getFormatId` in interface `javax.transaction.xa.Xid`

### getGlobalTransactionId

    public byte[] getGlobalTransactionId()

  Specified by:
    `getGlobalTransactionId` in interface `javax.transaction.xa.Xid`